Search Results for

Show / Hide Table of Contents

# Class Integer

A Value representing an integer. This may hold a Int64's worth of data.

##### Inheritance

Object
Value
Integer

##### Inherited Members

Value.Null()
Value.List()
Value.Map()
Value.From(String)
Value.Text(String)
Value.From(Int64)
Value.Integer(Int64)
Value.From(Decimal)
Value.Float(Decimal)
Value.From(Boolean)
Value.Bool(Boolean)
Value.From(IEnumerable<Value>)
Value.From(IDictionary<String, Value>)
Value.From(IEnumerable<KeyValuePair<String, Value>>)
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Data

###### Assembly: IPA.Loader.dll

##### Syntax

    public sealed class Integer : Value

### Properties

| Improve this Doc View Source

#### Value

The actual value of the Integer object.

##### Declaration

    public long Value { get; set; }

##### Property Value

Type | Description
--- | ---
Int64 |

### Methods

| Improve this Doc View Source

#### AsFloat()

Coerces this Integer into a FloatingPoint.

##### Declaration

    public FloatingPoint AsFloat()

##### Returns

Type | Description
--- | ---
FloatingPoint | a FloatingPoint representing the closest approximation of Value

| Improve this Doc View Source

#### ToString()

Converts this Value into a human-readable format.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String | the result of `Value.ToString()`

##### Overrides

Value.ToString()

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])